
Redmine - Defect #4867

Deselecting textile text formatting causes interning empty string errors

2010-02-17 20:25 - Lisa Seelye

Status: Closed Start date: 2010-02-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 0.9.3   

Resolution: Fixed Affected version: 0.9.2

Description

If an admin choses no text formatting ('none') instead of the default 'textile' then there are no entries in @@formatters in

lib/redmine/wiki_formatting.rb. Therefor when formatter_for(name) is called name is blank and to_sym raises an error as it can't

create a symbol of an empty string.

A sample backtrace is:

Processing WelcomeController#index (for 192.168.100.218 at 2010-02-17 11:12:32) [GET]

  Parameters: {"action"=>"index", "controller"=>"welcome"}

Rendering template within layouts/base

Rendering welcome/index

ActionView::TemplateError (interning empty string) on line !#10 of app/views/layouts/base.rhtml:

7: <meta name="keywords" content="issue,bug,tracker" />

8: <%= stylesheet_link_tag 'application', :media => 'all' %>

9: <%= javascript_include_tag :defaults %>

10: <%= heads_for_wiki_formatter %>

11: <!--[if IE]>

12:     <style type="text/css">

13:       * html body{ width: expression( document.documentElement.clientWidth < 900 ? '900px' : '

100%' ); }

    lib/redmine/wiki_formatting.rb:38:in `to_sym'

    lib/redmine/wiki_formatting.rb:38:in `helper_for'

    app/helpers/application_helper.rb:717:in `wiki_helper'

    app/views/layouts/base.rhtml:10:in `_run_rhtml_app47views47layouts47base46rhtml'

    /usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

    /usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

    /usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

    /usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

    /usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

    /usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

Rendering /opt/redmine-0.9.2/public/500.html (500 Internal Server Error)

 Ruby version:

ruby --version

ruby 1.8.6 (2008-08-11 patchlevel 287) [i686-linux]

Ruby Enterprise Edition 20090610

 Assigning to Eric Davis per:

14:22 <@edavis10> lisa: assign it to me and mention we talked in IRC about it 

                  and that I wanted to test it
Associated revisions

Revision 3446 - 2010-02-17 21:47 - Jean-Philippe Lang

Fixed: Deselecting textile text formatting causes interning empty string errors (#4867).

History

#1 - 2010-02-17 21:51 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

I couldn't find when it was broken but it should be fixed by r3446.

#2 - 2010-02-21 18:12 - Jean-Philippe Lang

- Target version set to 0.9.3

#3 - 2010-02-28 10:58 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.9-stable in r3502.

#4 - 2011-10-25 13:03 - Lenard Mayhew

- Assignee deleted (Eric Davis)
